OpenJPEG 2.3.0

Data Fields
dwt_local Struct Reference
DWT - Implementation of a discrete wavelet transform

## Data Fields
OPJ_INT32 * | mem
OPJ_INT32 | dn
OPJ_INT32 | sn
OPJ_INT32 | cas

## Field Documentation

## ◆ cas

OPJ_INT32 dwt_local::cas

Referenced by opj_dwt_decode_partial_tile(), opj_dwt_decode_tile(), opj_dwt_deinterleave_h(), opj_dwt_deinterleave_v(), opj_dwt_encode_1(), opj_idwt53_h(), and opj_idwt53_v().

## ◆ dn

OPJ_INT32 dwt_local::dn

Referenced by opj_dwt_decode_partial_1(), opj_dwt_decode_partial_1_parallel(), opj_dwt_decode_partial_tile(), opj_dwt_decode_tile(), opj_dwt_deinterleave_h(), opj_dwt_deinterleave_v(), opj_dwt_encode_1(), opj_dwt_encode_1_real(), opj_dwt_encode_procedure(), opj_idwt3_v_cas1(), opj_idwt53_h(), opj_idwt53_h_cas1(), and opj_idwt53_v().

## ◆ mem

OPJ_INT32* dwt_local::mem

Referenced by opj_dwt_decode_h_func(), opj_dwt_decode_partial_tile(), opj_dwt_decode_tile(), opj_dwt_decode_v_func(), opj_dwt_deinterleave_v(), opj_dwt_encode_1(), opj_idwt53_h(), and opj_idwt53_v().

## ◆ sn

OPJ_INT32 dwt_local::sn

Referenced by opj_dwt_decode_partial_tile(), opj_dwt_decode_tile(), opj_dwt_deinterleave_h(), opj_dwt_deinterleave_v(), opj_dwt_encode_1(), opj_dwt_encode_1_real(), opj_dwt_encode_procedure(), opj_idwt53_h(), opj_idwt53_h_cas0(), opj_idwt53_h_cas1(), and opj_idwt53_v().

The documentation for this struct was generated from the following file:

- dwt.c